Skip to main content

Get Customer Children

Retrieves the child customer records for the specified customer.

Request​

Request-Line​

GET /sfd/v2.0/customers/{parentId}/childCustomers HTTP/1.1

Request Parameters​

Path Parameters​

ParameterTypeRequiredDescription
parentIdIntegerMandatoryParent customer ID.

Response​

Response Body​

ParameterTypeRequiredDescription
ArrayMandatoryArray of Customer.

Object: Customer​

Property nameTypeRequiredDescription
idIntegerMandatoryUnique identifier of the customer record.
nameStringMandatoryName of the customer.
parentIdIntegerMandatoryParent ID.
typeShortMandatoryCustomer type.
1 - Partner.
2 - Customer.
partnershipShortOptionalIgnore this field.
regionStringOptionalRegion.
industryStringOptionalIndustry.

Status Codes, Error Codes and Error Messages​

Status CodeError CodeError Message
400CustomerId.InvalidCustomerId is empty or invalid.

Examples​

Get Customer Children​

Request​

GET /sfd/v2.0/customers/1/childCustomers HTTP/1.1

Successful Response Body​

[
{
"id": 2,
"name": "Example Corp",
"parentId": 1,
"type": 1,
"region": "SG",
"industry": "Advertising & Marketing"
},
{
"id": 30002,
"name": "Foo Internet Inc.",
"parentId": 1,
"type": 1,
"region": "SG",
"industry": "Advertising & Marketing"
}
]